#include<iostream>

using namespace std;


double najvecanovc(double A){
if(A==1)
    return 1;
double a=1;
while(a<A)
    a*=10;
a/=10;
if(a*5<=A)
    return a*5;
if(a*2<=A)
    return a*2;
return a;
}

int brojnovc(double A){
    int s=0;
    double f;
while(A>0){
    f=najvecanovc(A);
    while(A>=f){
         s++;
         A-=f;
        }
}
return s;
}


int main(){
double A;
cin>>A;
cout<<brojnovc(A);

return 0;
}